--[[----------------------------------------------------------------------------

WFRequestTestHandler_simple.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2015 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

Minimal case for request handler. Lets us cover the case where reactive and
promises don't spin up.

------------------------------------------------------------------------------]]

	-- WF.core.lua.threading
local WFRequestDispatcher = require 'WFRequestDispatcher'


--============================================================================--

WFRequestDispatcher.onMessageDo {

	message = 'echo',
	simpleResponses = true,

	handler = function( ... )

		return select( '#', ... ), ...

	end,

}

--------------------------------------------------------------------------------

WFRequestDispatcher.onMessageDo {
	
	message = 'DEBUG_dumpCoverageP',
	simpleResponses = true,
	
	handler = function( path )

		require 'SetupCoverage'.dumpCoverage( path )
	
		return true

	end,

}

--------------------------------------------------------------------------------

return {
	initMessageProcessor = function()
	end,
}
